%define anolis_release 1

Name:    libdmx
Version: 1.1.5
Release: %{anolis_release}%{?dist}
License: MIT
Summary: X.Org X11 DMX runtime library
URL:     http://www.x.org
Source0: https://www.x.org/releases/individual/lib/%{name}-%{version}.tar.xz

Requires: libX11 >= 1.6
BuildRequires: pkgconfig(dmxproto) >= 2.2.99.1
BuildRequires: pkgconfig(x11) >= 1.6
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xextproto)
BuildRequires: pkgconfig(xorg-macros) >= 1.8

%description
The X.Org X11 DMX (Distributed Multihead X) runtime library.

%package devel
Summary: X.Org X11 DMX development files
Requires: %{name} = %{version}-%{release}

%description devel
The X.Org X11 DMX (Distributed Multihead X) development files.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

%generate_compatibility_deps

%files
%license COPYING
%{_libdir}/libdmx.so.1
%{_libdir}/libdmx.so.1.0.0
%dir %{abidir}
%{abidir}/libdmx.dump

%files devel
%{_libdir}/libdmx.so
%{_libdir}/pkgconfig/dmx.pc
%{_mandir}/man3/*.3*
%{_includedir}/X11/extensions/dmxext.h

%files doc
%doc ChangeLog README.md

%changelog
* Wed Jul 12 2023 Funda Wang <fundawang@yeah.net> - 1.1.5-1
- New version 1.1.5

* Tue Mar 21 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.1.4-1
- Init from upstream
